#griditup {
 grid-template-columns: 245px repeat(11, [col-start] 1fr) 245px;
 grid-template-rows: 70px repeat(3, 25%) 20px;
 width:1300px; 
}

#owmyhead {
  grid-area: 1 / 1 / 2 / 14;
}

#sitesorsomething {
  grid-area: 2 / 1 / 3 / 2;
}

#sitesorsomething > div {
  display:flex;
  flex-flow: row wrap;
  padding:15px;
}

#talkgohere {
  grid-area: 2 / 2 / 4 / 13;
}

#talkgohere a {
  text-align:center;
}

#webring {
  grid-area: 4 / 1 / 5 / 12;
}

#navigation {
  grid-area: 2 / 13 / 4 / 14;
  font-size:20px;
}

#navigation > div {
  padding:15px 15px 15px 5px;
}

#updates {
  grid-area: 3 / 1 / 4 / 2;
}

#stamps {
  grid-area: 4 / 12 / 5 / 14;
}

#footer {
  grid-area: 5 / 1 / 6 / 14;

}